Need REQUIRES to build canvas

RESOLVED FIXED

Status

()

Core
Layout
RESOLVED FIXED
13 years ago
13 years ago

People

(Reporter: roc, Assigned: roc)

Tracking

Trunk
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

When I --enable-cairo, I fail to build layout because of inaccessible #includes.
Patch coming up.
Created attachment 180437 [details] [diff] [review]
fix
Attachment #180437 - Flags: superreview?(shaver)
Attachment #180437 - Flags: review?(shaver)
Comment on attachment 180437 [details] [diff] [review]
fix

r+sr=shaver
Attachment #180437 - Flags: superreview?(shaver)
Attachment #180437 - Flags: superreview+
Attachment #180437 - Flags: review?(shaver)
Attachment #180437 - Flags: review+
Comment on attachment 180437 [details] [diff] [review]
fix

simple build config fix to make canvas build.
Attachment #180437 - Flags: approval1.8b2?
Comment on attachment 180437 [details] [diff] [review]
fix

a=brendan for 1.8b2.

/be
Attachment #180437 - Flags: approval1.8b2? → approval1.8b2+
checked in
Status: NEW → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → FIXED
Hmm.... Wasn't this a duplicate of bug 279908?  And isn't the patch there
cleaner?  And possibly still needed?
Yeah, I guess that's the better fix.

I'll leave mine in for now because it does fix the build.
You need to log in before you can comment on or make changes to this bug.